Redmine - Defect #22733

404 The entry or revision was not found in the repository
2016-05-05 09:50 - Sw Dev

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.2.1
Description

Environment: Redmine 3.2.1 with Bitnami Virtual Machine.
Goal: setup a Git repository.

This might have been resolved but none of the solutions worked in my setup. | followed these instructions:
https://www.redmine.org/projects/redmine/wiki/RedmineRepositories adapted to the bitnami setup:

directory is /opt/bitnami/projects/myrepo.git

user is bitnami:daemon .

| can fetch a remote repository, so my bare repository on the machine is not empty.

The error above happens.

Ideally | would only like to link to an existing Gitlab repository and enable issue tracking via commit comments.

| tried other solutions, variants of the path, etc. Nothing worked.

Please help.

History

#1 - 2016-05-05 10:33 - Toshi MARUYAMA
- Category deleted (Project settings)
- Status changed from New to Closed

- Resolution set to Invalid

Please use forum for question or ask bitnami team.

#2 - 2016-05-06 15:16 - Sw Dev

- Status changed from Closed to Reopened

OK, I have asked a question in the forums.

Please excuse for reopening but it seems important to add these comments:

May | suggest an improvement of the error message in this situation? "404 The entry or revision was not found in the repository" is misleading:
presumably the problem is that the repository cannot be accessed. Some help for correction would also be useful: Is the path wrong, are there

permission problems, etc.

Do you believe the repository setup is dependent on the server environment? If yes, it would be good to explain in the documentation which part of
the repository setup is platform dependent and which not. The documentation suggests that there is no platform dependency.

#3 - 2016-05-06 17:46 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Sw Dev wrote:
Do you believe the repository setup is dependent on the server environment? If yes, it would be good to explain in the documentation which part

of the repository setup is platform dependent and which not. The documentation suggests that there is no platform dependency.

Please request to bitnami team.

2025-05-02 1/1



https://www.redmine.org/projects/redmine/wiki/RedmineRepositories
http://www.tcpdf.org

